org.apache.ignite.internal.processors.cache

## Class LocalJoinCachesContext

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.LocalJoinCachesContext

    public class LocalJoinCachesContext
    extends Object

Context to capture caches state for a node joining to an active cluster. Since registered caches is updated in discovery thread and caches info are updated in exchange thread, we must capture the state in discovery thread somehow and pass it to the exchange. This class holds the required context.

### Constructor Summary

Constructors
Constructor and Description
`LocalJoinCachesContext(List<T2<DynamicCacheDescriptor,NearCacheConfiguration>> locJoinStartCaches, Map<Integer,CacheGroupDescriptor> cacheGrpDescs, Map<String,DynamicCacheDescriptor> cacheDescs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,DynamicCacheDescriptor>` `cacheDescriptors()`
`Map<Integer,CacheGroupDescriptor>` `cacheGroupDescriptors()`
`List<T2<DynamicCacheDescriptor,NearCacheConfiguration>>` `caches()`
`boolean` `isEmpty()`
`void` `removeSurvivedCacheGroups(Set<Integer> cacheGrps)`
`void` `removeSurvivedCaches(Set<String> cacheNames)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalJoinCachesContext

    public LocalJoinCachesContext(List<T2<DynamicCacheDescriptor,NearCacheConfiguration>> locJoinStartCaches,
                                  Map<Integer,CacheGroupDescriptor> cacheGrpDescs,
                                  Map<String,DynamicCacheDescriptor> cacheDescs)

Parameters:
  `locJoinStartCaches` - Local caches to start on join.
  `cacheGrpDescs` - Cache group descriptors captured during join.
  `cacheDescs` - Cache descriptors captured during join.

### Method Detail

#### caches

    public List<T2<DynamicCacheDescriptor,NearCacheConfiguration>> caches()

Returns:
  Caches to start.

#### cacheGroupDescriptors

    public Map<Integer,CacheGroupDescriptor> cacheGroupDescriptors()

Returns:
  Group descriptors.

#### cacheDescriptors

    public Map<String,DynamicCacheDescriptor> cacheDescriptors()

Returns:
  Cache descriptors.

#### removeSurvivedCaches

    public void removeSurvivedCaches(Set<String> cacheNames)

Parameters:
  `cacheNames` - Survived caches to clean.

#### removeSurvivedCacheGroups

    public void removeSurvivedCacheGroups(Set<Integer> cacheGrps)

Parameters:
  `cacheGrps` - Survived caches groups to clean.

#### isEmpty

    public boolean isEmpty()

Returns:
  `True` if the context is empty.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018